function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id);
  sendersProcessing(sender, obj_id, attachedID);
  if sender==30 then
    if flags.gate_open then
      NewObj("kalitka_otkrytaya_20_0","BigTexture162",413,139,"",0,0,643,0,101,376);
      speciale_action(4,obj.kalitka_otkrytaya_20_0.id)
      speciale_action(2,3)
      speciale_action(2,obj.kalitka_zakryta_20_0.id)
      toKardonisi={
      435,283,
      591,283,
      591,484,
      591,484
      }
      CreatePolygon(4,4,"toKardonisi")
      setCursor(4,5)      
      speciale_action(4,4)
    end;
  return;end;
  
  if sender==16 then
    if obj_id==obj.door_op_20_12.id then
      flags.gate_open=true;
      Block_Show_Cur(false)
      CloseSatelite()
    end;
    
    if obj_id==obj.lock_out_20_12.id then
      speciale_action(2,obj.lock_out_20_12.id,true)
      speciale_action(2,obj.door_op_20_12.id,true)
      speciale_action(2,obj.door_cl_20_12.id,true)
    end;
    if obj_id==obj.nap2_20_12.id then
      speciale_action(2,obj.nap1_20_12.id,true,1)
      speciale_action(2,obj.nap2_20_12.id,true,0.9)    
    end;
    if obj_id==obj.nap1_20_12.id then
      if count<=2 then
        count=count+1;
        playeffect("pila")
        speciale_action(2,obj.nap1_20_12.id,true,0.9)
        speciale_action(2,obj.nap2_20_12.id,true,1)
      else
        speciale_action(2,obj.nap1_20_12.id,true)
        speciale_action(2,obj.lock_20_12.id,true)
        speciale_action(2,obj.lock_out_20_12.id,true)
      end;
    end;
  return;end;
  if sender==1 then
    if obj_id==obj.lock_20_12.id then
        -- speciale_action(2,obj.nap1_20_12.id,true)
        -- setCursor(obj.lock_20_12.id,3)
        -- Block_Show_Cur(true)
          if obj.pila_11_1~=nil and attachedID==obj.pila_11_1.id then
        removeFromMouse()
        UnStoreObj(obj.pila_11_1.id)    
        speciale_action(2,obj.nap1_20_12.id,true)
        setCursor(obj.lock_20_12.id,3)
        --playeffect("pila")
        Block_Show_Cur(true)
      return;end;
      if (obj.pila_11_1==nil or (obj.pila_11_1~=nil and attachedID~=obj.pila_11_1.id) )and attachedID~=-1 then
        CreatePlashechka("10000")
      return;end;  
      if   attachedID==-1 then
        CreatePlashechka("479")
      return;end;    
    return;end;    
  end
end